> For the complete documentation index, see [llms.txt](https://docs.payum.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payum.dev/v2/frameworks-and-e-commerce-integration.md).

# Frameworks and e-commerce integration.

### Frameworks

***Note**: Whichever framework you use,* [*Framework integration*](/v2/di/framework-integration.md) *explains how to hand your application's container to Payum and share its services with your gateways.*

* [PayumBundle](/v2/readme.md#symfony-payum-bundle) for [Symfony2](http://symfony.com/).
* [PayumSilexProvider](/v2/readme.md#silex-payum-provider) for [Silex](http://silex.sensiolabs.org/)
* [PayumLaravelPackage](/v2/readme.md#laravel-payum-package) for [Laravel](http://laravel.com/)
* [PayumModule](/v2/readme.md#laminas-payum-module-external) for [Laminas](https://getlaminas.org/)
* [PayumYiiExtension](/v2/readme.md#yii-payum-extension-external) for [Yii](http://www.yiiframework.com/)

### Storages

* Doctrine ORM\MongoODM
* Laminas Db Gateway
* Elouqent
* Filesystem

### E-Commerce

* [Sylius](http://sylius.com/).

Sylius is a modern e-commerce platform built on symfony2 framework. It already integrated payum. More details could be found in initial [Pull Request](https://github.com/Sylius/Sylius/pull/275).

* [Vespolina](http://vespolina.org/).

Vespolina another one e-commerce solution. It's also built on top of symfony2 framework. It is in the integration phase. More details could be found in the [Pull Request](https://github.com/vespolina/vespolina-sandbox/pull/107).

* [Speckcommerce](https://github.com/speckcommerce/speck).

Speckcommerce is a shop solution for zend framework2 developers. They have [plans to integrate payum](https://github.com/speckcommerce/SpeckPaypal/issues/8).

* [Thelia](http://thelia.net/)

French e-commerce solution. They [mentioned on their blog](http://thelia.net/thelia-attended-the-first-symfonycon-which-took-place-from-10th-to-14th-december-in-warsaw-poland/) that they want to integrate Payum.

***

### Supporting Payum

Payum is an MIT-licensed open source project with its ongoing development made possible entirely by the support of community and our customers. If you'd like to join them, please consider:

* [Become a sponsor](https://github.com/sponsors/Payum)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payum.dev/v2/frameworks-and-e-commerce-integration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
